------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt4.Header_Views;
with Qt_Ada.Internals.Objects;
with Qt_Ada.Internals.Objects.Header_View_Utilities;
with Qt_Ada.Internals.Objects.Object_Utilities;

with Qt_Ada.Internals.Objects.Table_View_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Table_View_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Table_Views is

   function columnAt_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     X : Qt4.Q_Integer)
       return Qt4.Q_Integer;
   pragma Import (C, columnAt_0_wrapper,
                     "__Qt4Ada_QTableView_columnAt_0_wrapper");

   function columnSpan_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer;
     Column : Qt4.Q_Integer)
       return Qt4.Q_Integer;
   pragma Import (C, columnSpan_0_wrapper,
                     "__Qt4Ada_QTableView_columnSpan_0_wrapper");

   function columnViewportPosition_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer)
       return Qt4.Q_Integer;
   pragma Import (C, columnViewportPosition_0_wrapper,
                     "__Qt4Ada_QTableView_columnViewportPosition_0_wrapper");

   function columnWidth_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer)
       return Qt4.Q_Integer;
   pragma Import (C, columnWidth_0_wrapper,
                     "__Qt4Ada_QTableView_columnWidth_0_wrapper");

   function horizontalHeader_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return access Qt_Ada.Internals.Objects.QObject;
   pragma Import (C, horizontalHeader_0_wrapper,
                     "__Qt4Ada_QTableView_horizontalHeader_0_wrapper");

   function isColumnHidden_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer)
       return Qt4.bool;
   pragma Import (C, isColumnHidden_0_wrapper,
                     "__Qt4Ada_QTableView_isColumnHidden_0_wrapper");

   function isCornerButtonEnabled_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isCornerButtonEnabled_0_wrapper,
                     "__Qt4Ada_QTableView_isCornerButtonEnabled_0_wrapper");

   function isRowHidden_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer)
       return Qt4.bool;
   pragma Import (C, isRowHidden_0_wrapper,
                     "__Qt4Ada_QTableView_isRowHidden_0_wrapper");

   function isSortingEnabled_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isSortingEnabled_0_wrapper,
                     "__Qt4Ada_QTableView_isSortingEnabled_0_wrapper");

   function rowAt_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Y : Qt4.Q_Integer)
       return Qt4.Q_Integer;
   pragma Import (C, rowAt_0_wrapper,
                     "__Qt4Ada_QTableView_rowAt_0_wrapper");

   function rowHeight_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer)
       return Qt4.Q_Integer;
   pragma Import (C, rowHeight_0_wrapper,
                     "__Qt4Ada_QTableView_rowHeight_0_wrapper");

   function rowSpan_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer;
     Column : Qt4.Q_Integer)
       return Qt4.Q_Integer;
   pragma Import (C, rowSpan_0_wrapper,
                     "__Qt4Ada_QTableView_rowSpan_0_wrapper");

   function rowViewportPosition_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer)
       return Qt4.Q_Integer;
   pragma Import (C, rowViewportPosition_0_wrapper,
                     "__Qt4Ada_QTableView_rowViewportPosition_0_wrapper");

   procedure setColumnHidden_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer;
     Hide : Qt4.bool);
   pragma Import (C, setColumnHidden_0_wrapper,
                     "__Qt4Ada_QTableView_setColumnHidden_0_wrapper");

   procedure setColumnWidth_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer;
     Width : Qt4.Q_Integer);
   pragma Import (C, setColumnWidth_0_wrapper,
                     "__Qt4Ada_QTableView_setColumnWidth_0_wrapper");

   procedure setCornerButtonEnabled_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enable : Qt4.bool);
   pragma Import (C, setCornerButtonEnabled_0_wrapper,
                     "__Qt4Ada_QTableView_setCornerButtonEnabled_0_wrapper");

   procedure setHorizontalHeader_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Header : access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, setHorizontalHeader_0_wrapper,
                     "__Qt4Ada_QTableView_setHorizontalHeader_0_wrapper");

   procedure setRowHeight_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer;
     Height : Qt4.Q_Integer);
   pragma Import (C, setRowHeight_0_wrapper,
                     "__Qt4Ada_QTableView_setRowHeight_0_wrapper");

   procedure setRowHidden_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer;
     Hide : Qt4.bool);
   pragma Import (C, setRowHidden_0_wrapper,
                     "__Qt4Ada_QTableView_setRowHidden_0_wrapper");

   procedure setSortingEnabled_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enable : Qt4.bool);
   pragma Import (C, setSortingEnabled_0_wrapper,
                     "__Qt4Ada_QTableView_setSortingEnabled_0_wrapper");

   procedure setSpan_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer;
     Column : Qt4.Q_Integer;
     Row_Span : Qt4.Q_Integer;
     Column_Span : Qt4.Q_Integer);
   pragma Import (C, setSpan_0_wrapper,
                     "__Qt4Ada_QTableView_setSpan_0_wrapper");

   procedure setVerticalHeader_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Header : access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, setVerticalHeader_0_wrapper,
                     "__Qt4Ada_QTableView_setVerticalHeader_0_wrapper");

   procedure setWordWrap_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     On : Qt4.bool);
   pragma Import (C, setWordWrap_0_wrapper,
                     "__Qt4Ada_QTableView_setWordWrap_0_wrapper");

   function showGrid_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, showGrid_0_wrapper,
                     "__Qt4Ada_QTableView_showGrid_0_wrapper");

   function verticalHeader_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return access Qt_Ada.Internals.Objects.QObject;
   pragma Import (C, verticalHeader_0_wrapper,
                     "__Qt4Ada_QTableView_verticalHeader_0_wrapper");

   function wordWrap_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, wordWrap_0_wrapper,
                     "__Qt4Ada_QTableView_wordWrap_0_wrapper");

   procedure hideColumn_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer);
   pragma Import (C, hideColumn_0_wrapper,
                     "__Qt4Ada_QTableView_hideColumn_0_wrapper");

   procedure hideRow_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer);
   pragma Import (C, hideRow_0_wrapper,
                     "__Qt4Ada_QTableView_hideRow_0_wrapper");

   procedure resizeColumnToContents_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer);
   pragma Import (C, resizeColumnToContents_0_wrapper,
                     "__Qt4Ada_QTableView_resizeColumnToContents_0_wrapper");

   procedure resizeColumnsToContents_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, resizeColumnsToContents_0_wrapper,
                     "__Qt4Ada_QTableView_resizeColumnsToContents_0_wrapper");

   procedure resizeRowToContents_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer);
   pragma Import (C, resizeRowToContents_0_wrapper,
                     "__Qt4Ada_QTableView_resizeRowToContents_0_wrapper");

   procedure resizeRowsToContents_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, resizeRowsToContents_0_wrapper,
                     "__Qt4Ada_QTableView_resizeRowsToContents_0_wrapper");

   procedure selectColumn_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer);
   pragma Import (C, selectColumn_0_wrapper,
                     "__Qt4Ada_QTableView_selectColumn_0_wrapper");

   procedure selectRow_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer);
   pragma Import (C, selectRow_0_wrapper,
                     "__Qt4Ada_QTableView_selectRow_0_wrapper");

   procedure setShowGrid_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Show : Qt4.bool);
   pragma Import (C, setShowGrid_0_wrapper,
                     "__Qt4Ada_QTableView_setShowGrid_0_wrapper");

   procedure showColumn_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer);
   pragma Import (C, showColumn_0_wrapper,
                     "__Qt4Ada_QTableView_showColumn_0_wrapper");

   procedure showRow_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer);
   pragma Import (C, showRow_0_wrapper,
                     "__Qt4Ada_QTableView_showRow_0_wrapper");

   pragma Style_Checks ("N");

   ---------------
   -- Column_At --
   ---------------

   function Column_At
    (Self : not null access constant Q_Table_View'Class;
     X : Qt4.Q_Integer)
       return Qt4.Q_Integer
   is
   begin
      return
        columnAt_0_wrapper
         (Self.QObject_View,
          X);
   end Column_At;

   -----------------
   -- Column_Span --
   -----------------

   function Column_Span
    (Self : not null access constant Q_Table_View'Class;
     Row : Qt4.Q_Integer;
     Column : Qt4.Q_Integer)
       return Qt4.Q_Integer
   is
   begin
      return
        columnSpan_0_wrapper
         (Self.QObject_View,
          Row,
          Column);
   end Column_Span;

   ------------------------------
   -- Column_Viewport_Position --
   ------------------------------

   function Column_Viewport_Position
    (Self : not null access constant Q_Table_View'Class;
     Column : Qt4.Q_Integer)
       return Qt4.Q_Integer
   is
   begin
      return
        columnViewportPosition_0_wrapper
         (Self.QObject_View,
          Column);
   end Column_Viewport_Position;

   ------------------
   -- Column_Width --
   ------------------

   function Column_Width
    (Self : not null access constant Q_Table_View'Class;
     Column : Qt4.Q_Integer)
       return Qt4.Q_Integer
   is
   begin
      return
        columnWidth_0_wrapper
         (Self.QObject_View,
          Column);
   end Column_Width;

   -----------------------
   -- Horizontal_Header --
   -----------------------

   function Horizontal_Header
    (Self : not null access constant Q_Table_View'Class)
       return access Qt4.Header_Views.Q_Header_View'Class
   is
   begin
      return
        Qt_Ada.Internals.Objects.Header_View_Utilities.Corresponding_Q_Header_View
         (horizontalHeader_0_wrapper
           (Self.QObject_View));
   end Horizontal_Header;

   ----------------------
   -- Is_Column_Hidden --
   ----------------------

   function Is_Column_Hidden
    (Self : not null access constant Q_Table_View'Class;
     Column : Qt4.Q_Integer)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isColumnHidden_0_wrapper
           (Self.QObject_View,
            Column));
   end Is_Column_Hidden;

   ------------------------------
   -- Is_Corner_Button_Enabled --
   ------------------------------

   function Is_Corner_Button_Enabled
    (Self : not null access constant Q_Table_View'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isCornerButtonEnabled_0_wrapper
           (Self.QObject_View));
   end Is_Corner_Button_Enabled;

   -------------------
   -- Is_Row_Hidden --
   -------------------

   function Is_Row_Hidden
    (Self : not null access constant Q_Table_View'Class;
     Row : Qt4.Q_Integer)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isRowHidden_0_wrapper
           (Self.QObject_View,
            Row));
   end Is_Row_Hidden;

   ------------------------
   -- Is_Sorting_Enabled --
   ------------------------

   function Is_Sorting_Enabled
    (Self : not null access constant Q_Table_View'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isSortingEnabled_0_wrapper
           (Self.QObject_View));
   end Is_Sorting_Enabled;

   ------------
   -- Row_At --
   ------------

   function Row_At
    (Self : not null access constant Q_Table_View'Class;
     Y : Qt4.Q_Integer)
       return Qt4.Q_Integer
   is
   begin
      return
        rowAt_0_wrapper
         (Self.QObject_View,
          Y);
   end Row_At;

   ----------------
   -- Row_Height --
   ----------------

   function Row_Height
    (Self : not null access constant Q_Table_View'Class;
     Row : Qt4.Q_Integer)
       return Qt4.Q_Integer
   is
   begin
      return
        rowHeight_0_wrapper
         (Self.QObject_View,
          Row);
   end Row_Height;

   --------------
   -- Row_Span --
   --------------

   function Row_Span
    (Self : not null access constant Q_Table_View'Class;
     Row : Qt4.Q_Integer;
     Column : Qt4.Q_Integer)
       return Qt4.Q_Integer
   is
   begin
      return
        rowSpan_0_wrapper
         (Self.QObject_View,
          Row,
          Column);
   end Row_Span;

   ---------------------------
   -- Row_Viewport_Position --
   ---------------------------

   function Row_Viewport_Position
    (Self : not null access constant Q_Table_View'Class;
     Row : Qt4.Q_Integer)
       return Qt4.Q_Integer
   is
   begin
      return
        rowViewportPosition_0_wrapper
         (Self.QObject_View,
          Row);
   end Row_Viewport_Position;

   -----------------------
   -- Set_Column_Hidden --
   -----------------------

   procedure Set_Column_Hidden
    (Self : not null access Q_Table_View'Class;
     Column : Qt4.Q_Integer;
     Hide : Standard.Boolean)
   is
   begin
      setColumnHidden_0_wrapper
       (Self.QObject_View,
        Column,
        Qt4.To_bool (Hide));
   end Set_Column_Hidden;

   ----------------------
   -- Set_Column_Width --
   ----------------------

   procedure Set_Column_Width
    (Self : not null access Q_Table_View'Class;
     Column : Qt4.Q_Integer;
     Width : Qt4.Q_Integer)
   is
   begin
      setColumnWidth_0_wrapper
       (Self.QObject_View,
        Column,
        Width);
   end Set_Column_Width;

   -------------------------------
   -- Set_Corner_Button_Enabled --
   -------------------------------

   procedure Set_Corner_Button_Enabled
    (Self : not null access Q_Table_View'Class;
     Enable : Standard.Boolean)
   is
   begin
      setCornerButtonEnabled_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enable));
   end Set_Corner_Button_Enabled;

   ---------------------------
   -- Set_Horizontal_Header --
   ---------------------------

   procedure Set_Horizontal_Header
    (Self : not null access Q_Table_View'Class;
     Header : access Qt4.Header_Views.Q_Header_View'Class)
   is
   begin
      setHorizontalHeader_0_wrapper
       (Self.QObject_View,
        Qt_Ada.Internals.Objects.Object_Utilities.Corresponding_QObject (Header));
   end Set_Horizontal_Header;

   --------------------
   -- Set_Row_Height --
   --------------------

   procedure Set_Row_Height
    (Self : not null access Q_Table_View'Class;
     Row : Qt4.Q_Integer;
     Height : Qt4.Q_Integer)
   is
   begin
      setRowHeight_0_wrapper
       (Self.QObject_View,
        Row,
        Height);
   end Set_Row_Height;

   --------------------
   -- Set_Row_Hidden --
   --------------------

   procedure Set_Row_Hidden
    (Self : not null access Q_Table_View'Class;
     Row : Qt4.Q_Integer;
     Hide : Standard.Boolean)
   is
   begin
      setRowHidden_0_wrapper
       (Self.QObject_View,
        Row,
        Qt4.To_bool (Hide));
   end Set_Row_Hidden;

   -------------------------
   -- Set_Sorting_Enabled --
   -------------------------

   procedure Set_Sorting_Enabled
    (Self : not null access Q_Table_View'Class;
     Enable : Standard.Boolean)
   is
   begin
      setSortingEnabled_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enable));
   end Set_Sorting_Enabled;

   --------------
   -- Set_Span --
   --------------

   procedure Set_Span
    (Self : not null access Q_Table_View'Class;
     Row : Qt4.Q_Integer;
     Column : Qt4.Q_Integer;
     Row_Span : Qt4.Q_Integer;
     Column_Span : Qt4.Q_Integer)
   is
   begin
      setSpan_0_wrapper
       (Self.QObject_View,
        Row,
        Column,
        Row_Span,
        Column_Span);
   end Set_Span;

   -------------------------
   -- Set_Vertical_Header --
   -------------------------

   procedure Set_Vertical_Header
    (Self : not null access Q_Table_View'Class;
     Header : access Qt4.Header_Views.Q_Header_View'Class)
   is
   begin
      setVerticalHeader_0_wrapper
       (Self.QObject_View,
        Qt_Ada.Internals.Objects.Object_Utilities.Corresponding_QObject (Header));
   end Set_Vertical_Header;

   -------------------
   -- Set_Word_Wrap --
   -------------------

   procedure Set_Word_Wrap
    (Self : not null access Q_Table_View'Class;
     On : Standard.Boolean)
   is
   begin
      setWordWrap_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (On));
   end Set_Word_Wrap;

   ---------------
   -- Show_Grid --
   ---------------

   function Show_Grid
    (Self : not null access constant Q_Table_View'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (showGrid_0_wrapper
           (Self.QObject_View));
   end Show_Grid;

   ---------------------
   -- Vertical_Header --
   ---------------------

   function Vertical_Header
    (Self : not null access constant Q_Table_View'Class)
       return access Qt4.Header_Views.Q_Header_View'Class
   is
   begin
      return
        Qt_Ada.Internals.Objects.Header_View_Utilities.Corresponding_Q_Header_View
         (verticalHeader_0_wrapper
           (Self.QObject_View));
   end Vertical_Header;

   ---------------
   -- Word_Wrap --
   ---------------

   function Word_Wrap
    (Self : not null access constant Q_Table_View'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (wordWrap_0_wrapper
           (Self.QObject_View));
   end Word_Wrap;

   -----------------
   -- Hide_Column --
   -----------------

   procedure Hide_Column
    (Self : not null access Q_Table_View'Class;
     Column : Qt4.Q_Integer)
   is
   begin
      hideColumn_0_wrapper
       (Self.QObject_View,
        Column);
   end Hide_Column;

   --------------
   -- Hide_Row --
   --------------

   procedure Hide_Row
    (Self : not null access Q_Table_View'Class;
     Row : Qt4.Q_Integer)
   is
   begin
      hideRow_0_wrapper
       (Self.QObject_View,
        Row);
   end Hide_Row;

   -------------------------------
   -- Resize_Column_To_Contents --
   -------------------------------

   procedure Resize_Column_To_Contents
    (Self : not null access Q_Table_View'Class;
     Column : Qt4.Q_Integer)
   is
   begin
      resizeColumnToContents_0_wrapper
       (Self.QObject_View,
        Column);
   end Resize_Column_To_Contents;

   --------------------------------
   -- Resize_Columns_To_Contents --
   --------------------------------

   procedure Resize_Columns_To_Contents
    (Self : not null access Q_Table_View'Class)
   is
   begin
      resizeColumnsToContents_0_wrapper
       (Self.QObject_View);
   end Resize_Columns_To_Contents;

   ----------------------------
   -- Resize_Row_To_Contents --
   ----------------------------

   procedure Resize_Row_To_Contents
    (Self : not null access Q_Table_View'Class;
     Row : Qt4.Q_Integer)
   is
   begin
      resizeRowToContents_0_wrapper
       (Self.QObject_View,
        Row);
   end Resize_Row_To_Contents;

   -----------------------------
   -- Resize_Rows_To_Contents --
   -----------------------------

   procedure Resize_Rows_To_Contents
    (Self : not null access Q_Table_View'Class)
   is
   begin
      resizeRowsToContents_0_wrapper
       (Self.QObject_View);
   end Resize_Rows_To_Contents;

   -------------------
   -- Select_Column --
   -------------------

   procedure Select_Column
    (Self : not null access Q_Table_View'Class;
     Column : Qt4.Q_Integer)
   is
   begin
      selectColumn_0_wrapper
       (Self.QObject_View,
        Column);
   end Select_Column;

   ----------------
   -- Select_Row --
   ----------------

   procedure Select_Row
    (Self : not null access Q_Table_View'Class;
     Row : Qt4.Q_Integer)
   is
   begin
      selectRow_0_wrapper
       (Self.QObject_View,
        Row);
   end Select_Row;

   -------------------
   -- Set_Show_Grid --
   -------------------

   procedure Set_Show_Grid
    (Self : not null access Q_Table_View'Class;
     Show : Standard.Boolean)
   is
   begin
      setShowGrid_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Show));
   end Set_Show_Grid;

   -----------------
   -- Show_Column --
   -----------------

   procedure Show_Column
    (Self : not null access Q_Table_View'Class;
     Column : Qt4.Q_Integer)
   is
   begin
      showColumn_0_wrapper
       (Self.QObject_View,
        Column);
   end Show_Column;

   --------------
   -- Show_Row --
   --------------

   procedure Show_Row
    (Self : not null access Q_Table_View'Class;
     Row : Qt4.Q_Integer)
   is
   begin
      showRow_0_wrapper
       (Self.QObject_View,
        Row);
   end Show_Row;

end Qt4.Table_Views;
